Extract
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/web-clipper/extract \
--header 'Content-Type: application/json' \
--data '
{
"clientTurnId": "<string>",
"page": {
"url": "<string>",
"title": "<string>",
"metaDescription": "<string>",
"ogTags": {},
"jsonLd": [
"<string>"
],
"text": "<string>"
},
"columns": [
{
"slug": "<string>",
"name": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>"
}
],
"description": "<string>"
}
]
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/web-clipper/extract"
payload = {
"clientTurnId": "<string>",
"page": {
"url": "<string>",
"title": "<string>",
"metaDescription": "<string>",
"ogTags": {},
"jsonLd": ["<string>"],
"text": "<string>"
},
"columns": [
{
"slug": "<string>",
"name": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>"
}
],
"description": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
clientTurnId: '<string>',
page: {
url: '<string>',
title: '<string>',
metaDescription: '<string>',
ogTags: {},
jsonLd: ['<string>'],
text: '<string>'
},
columns: [
{
slug: '<string>',
name: '<string>',
options: [{label: '<string>', value: '<string>'}],
description: '<string>'
}
]
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/assistant/web-clipper/extract', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runId": "<string>",
"status": "completed",
"fields": [
{
"slug": "<string>",
"value": {},
"confidence": 123
}
],
"chargedCredits": "<string>",
"errorCode": "<string>"
}Assistant Web Clipper
Extract
POST
/
v1
/
workspaces
/
{workspaceId}
/
assistant
/
web-clipper
/
extract
Extract
Path Parameters
Pattern:
^[1-9]\d*$Body
application/json
⌘I